mbed TLS v2.23.0

Data Fields
mbedtls_md2_context Struct Reference

MD2 context structure. More...

`#include <md2.h>`

## Data Fields
unsigned char | cksum [16]
unsigned char | state [48]
unsigned char | buffer [16]
size_t | left

## Detailed Description

MD2 context structure.

Warning
  MD2 is considered a weak message digest and its use constitutes a security risk. We recommend considering stronger message digests instead.

Definition at line 59 of file md2.h.

## Field Documentation

## ◆ buffer

unsigned char mbedtls_md2_context::buffer[16]

data block being processed

Definition at line 63 of file md2.h.

## ◆ cksum

unsigned char mbedtls_md2_context::cksum[16]

checksum of the data block

Definition at line 61 of file md2.h.

## ◆ left

size_t mbedtls_md2_context::left

amount of data in buffer

Definition at line 64 of file md2.h.

## ◆ state

unsigned char mbedtls_md2_context::state[48]

intermediate digest state

Definition at line 62 of file md2.h.

The documentation for this struct was generated from the following file:

- md2.h